package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.AchievementDemand;
import com.goafanti.common.model.AchievementKeyword;

public interface AchievementKeywordMapper {
    int deleteByPrimaryKey(String id);

    int insert(AchievementKeyword record);

    int insertSelective(AchievementKeyword record);

    AchievementKeyword selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(AchievementKeyword record);

    int updateByPrimaryKey(AchievementKeyword record);

	void insertBatch(List<AchievementKeyword> list);

	List<AchievementDemand> selectAchievementDemand(List<String> keywords);

	List<AchievementKeyword> selectKeywordsByAchievementId(String id);

	void batchDeleteByAchievementId(String achievementiId);

	int batchDeleteByAchievementIds(List<String> id);
}